<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'cart',

    /*
     * Modules.
     */
    'modules'   => ['cart', 'location', 'shipping'],

    'cart'       => [
        'model' => [
            'model' => \Ebuy\Cart\Models\Cart::class,
            'repository' => \Ebuy\Cart\Repositories\Eloquent\CartRepository::class,
            'table' => 'carts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'content',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'cart/cart',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Cart',
            'module' => 'Cart',
        ],
    ],
    'location'       => [
        'model' => [
            'model' => \Ebuy\Cart\Models\Location::class,
            'repository' => \Ebuy\Cart\Repositories\Eloquent\LocationRepository::class,
            'table' => 'locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'images',  'parent_id',  'type',  'currency_separator',  'decimal_separator',  'tax',  'slug',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'cart/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Cart',
            'module' => 'Location',
        ],
    ],
    'shipping'       => [
        'model' => [
            'model' => \Ebuy\Cart\Models\Shipping::class,
            'repository' => \Ebuy\Cart\Repositories\Eloquent\ShippingRepository::class,
            'table' => 'shippings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'shipping',  'shipping_charge',  'service_charge',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'cart/shipping',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Cart',
            'module' => 'Shipping',
        ],
    ],
];
