<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateShippingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: shippings
         */
        Schema::create('shippings', function ($table) {
            $table->increments('id');
            $table->enum('shipping', ['Yes','No'])->nullable();
            $table->float('shipping_charge')->nullable();
            $table->float('service_charge')->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('shippings');
    }
}
