<?php

// API routes  for cart.

// Guard routes for cart
Route::prefix('{guard}/cart')->group(function () {
    Route::resource('cart', 'CartResourceController');
});

// Guard routes for location
Route::prefix('{guard}/cart')->group(function () {
    Route::resource('location', 'LocationResourceController');
});

// Guard routes for shipping
Route::prefix('{guard}/cart')->group(function () {
    Route::resource('shipping', 'ShippingResourceController');
});



// Public routes for cart
Route::get('carts/', 'CartPublicController@index');
Route::get('cart/{slug?}', 'CartPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for cart
            Route::prefix('{guard}/cart')->group(function () {
                Route::resource('cart', 'CartResourceController');
            });
            
            // Guard routes for location
            Route::prefix('{guard}/cart')->group(function () {
                Route::resource('location', 'LocationResourceController');
            });
            
            // Guard routes for shipping
            Route::prefix('{guard}/cart')->group(function () {
                Route::resource('shipping', 'ShippingResourceController');
            });
            
            

            // Public routes for cart
            Route::get('carts/', 'CartPublicController@index');
            Route::get('cart/{slug?}', 'CartPublicController@show');
        }
    );
}