<?php

namespace Ebuy\Cart\Forms;

use Litepie\Form\FormInterpreter;

class Location extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('cart/location/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('cart/location/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('cart/location'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('cart/location'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('cart/location'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('cart/location'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('cart::cart.label.name'),
                "placeholder" => trans('cart::cart.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('cart::cart.groups.main'),
            'details' => trans('cart::cart.groups.details'),
            'images' => trans('cart::cart.groups.images'),
            'settings' => trans('cart::cart.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('cart::cart.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('cart::cart.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('cart::cart.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('cart::cart.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('cart::location.label.name'),
                "placeholder" => trans('cart::location.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('cart::location.label.images'),
                "placeholder" => trans('cart::location.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'parent_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('cart::location.label.parent_id'),
                "placeholder" => trans('cart::location.placeholder.parent_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('cart::location.label.type'),
                "placeholder" => trans('cart::location.placeholder.type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'currency_separator' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('cart::location.label.currency_separator'),
                "placeholder" => trans('cart::location.placeholder.currency_separator'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'decimal_separator' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('cart::location.label.decimal_separator'),
                "placeholder" => trans('cart::location.placeholder.decimal_separator'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tax' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('cart::location.label.tax'),
                "placeholder" => trans('cart::location.placeholder.tax'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('cart::location.label.)'),
                "placeholder" => trans('cart::location.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
