<?php

namespace Ebuy\Cart\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Cart policy
        \Ebuy\Cart\Repositories\Eloquent\CartRepository::class 
        => \Ebuy\Cart\Policies\CartPolicy::class,// Bind Location policy
        \Ebuy\Cart\Repositories\Eloquent\LocationRepository::class 
        => \Ebuy\Cart\Policies\LocationPolicy::class,// Bind Shipping policy
        \Ebuy\Cart\Repositories\Eloquent\ShippingRepository::class 
        => \Ebuy\Cart\Policies\ShippingPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
