<?php

namespace Ebuy\Cart\Repositories\Eloquent;

use Ebuy\Cart\Interfaces\CartRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Cart\Repositories\Eloquent\Presenters\CartItemPresenter;


class CartRepository extends BaseRepository implements CartRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.cart.cart.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.cart.cart.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CartItemPresenter::class;
    }
}
