<?php

namespace Ebuy\Cart\Repositories\Eloquent;

use Ebuy\Cart\Interfaces\LocationRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Cart\Repositories\Eloquent\Presenters\LocationItemPresenter;


class LocationRepository extends BaseRepository implements LocationRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.cart.location.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.cart.location.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return LocationItemPresenter::class;
    }
}
