<?php

namespace Ebuy\Cart\Repositories\Eloquent;

use Ebuy\Cart\Interfaces\ShippingRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Cart\Repositories\Eloquent\Presenters\ShippingItemPresenter;


class ShippingRepository extends BaseRepository implements ShippingRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.cart.shipping.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.cart.shipping.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ShippingItemPresenter::class;
    }
}
